PHPExcel_Writer_Excel5

# Class: PHPExcel_Writer_Excel5_Parser

Source Location: /PHPExcel/Writer/Excel5/Parser.php

### Class Overview

PHPExcel_Writer_Excel5_Parser

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

### Variables

- $_current_char
- $_current_token
- $_ext_sheets
- $_formula
- $_lookahead
- $_parse_tree
- $_references

### Constants

- REGEX_SHEET_TITLE_QUOTED
- REGEX_SHEET_TITLE_UNQUOTED

### Methods

- parse
- __construct
- setExtSheet
- toReversePolish

### Class Details

[line 60]
PHPExcel_Writer_Excel5_Parser

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Variables

#### $_current_char =

[line 80]

The index of the character we are currently looking at

#### Tags:

access: | public

Type: | integer

[ Top ]

#### $_current_token =

[line 86]

The token we are working on.

#### Tags:

access: | public

Type: | string

[ Top ]

#### $_ext_sheets =

[line 110]

Array of external sheets

#### Tags:

access: | public

Type: | array

[ Top ]

#### $_formula =

[line 92]

The formula to parse

#### Tags:

access: | public

Type: | string

[ Top ]

#### $_lookahead =

[line 98]

The character ahead of the current char

#### Tags:

access: | public

Type: | string

[ Top ]

#### $_parse_tree =

[line 104]

The parse tree to be generated

#### Tags:

access: | public

Type: | string

[ Top ]

#### $_references =

[line 116]

Array of sheet references in the form of REF structures

#### Tags:

access: | public

Type: | array

[ Top ]

### Class Methods

### method parse [line 1205]

`mixed parse( string $formula)`

The parsing method. It parses a formula.

#### Tags:

return: | true on success
access: | public

#### Parameters:

string | $formula | The formula to parse, without the initial equal sign (=).

[ Top ]

### constructor __construct [line 122]

`PHPExcel_Writer_Excel5_Parser __construct( )`

The class constructor

#### Tags:

access: | public

[ Top ]

### method setExtSheet [line 928]

`void setExtSheet( string $name, integer $index)`

This method is used to update the array of sheet names. It is called by the addWorksheet() method of the PHPExcel_Writer_Excel5_Workbook class.

#### Tags:

see: | PHPExcel_Writer_Excel5_Workbook::addWorksheet()
access: | public

#### Parameters:

string | $name | The name of the worksheet being added
integer | $index | The index of the worksheet being added

[ Top ]

### method toReversePolish [line 1540]

`string toReversePolish( [array $tree = array()])`

Builds a string containing the tree in reverse polish notation (What you would use in a HP calculator stack).

The following tree:

+ / \ 2 3

produces: "23+"

The following tree:

+ / \ 3 * / \ 6 A1

produces: "36A1*+"

In fact all operands, functions, references, etc... are written as ptg's

#### Tags:

return: | The tree in reverse polish notation
access: | public

#### Parameters:

array | $tree | The optional tree to convert.

[ Top ]

### Class Constants

#### REGEX_SHEET_TITLE_QUOTED = '(([^\*\:\/\\\\\?\[\]\\\'])+|(\\\'\\\')+)+'

[line 74]

[ Top ]

#### REGEX_SHEET_TITLE_UNQUOTED = '[^\*\:\/\\\\\?\[\]\+\-\% \\\'\^\&\<\>\=\,\;\#\(\)\"\{\}]+'

[line 68]

Constants
[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:16:53 +0200 by phpDocumentor 1.4.4